CHANGES TO CONTRAST SCHEMAS SINCE VERSION 1.0r1
-----------------------------------------------

2021-10-01	CONTRAST-IN [2021.2]
-	[RfC ???]	set minOccurs to zero for journal articles in S5/S100/S200

15 January 2018

CONTRAST-IN [2018.1]

BOOK SCHEMAS

- [COS 84] Add/Remove Print schema versions

JOURNAL SCHEMAS

- [COS 84] Add/Remove Print schema versions
- [COS 108] Make web-pdf optional for P100 deliverable

Satellite SCHEMAS

- No changes


13 October 2016

CONTRAST-IN [2016.6]

BOOK SCHEMAS

- [COS 76] Introduce support for new DTD 5.5.0

JOURNAL SCHEMAS

- [COS 76] Introduce support for new DTD 5.5.0

Satellite SCHEMAS

- No changes


4 February 2016

CONTRAST-IN [2016.2]

BOOK SCHEMAS

- No changes

JOURNAL SCHEMAS

- [COS 71] Support 'suppl' element to handle more digits

Satellite SCHEMAS

- No changes

1 July 2015

CONTRAST-IN [2015.4]

BOOK SCHEMAS

- [CR 153] Introduce support for new print version 1.3
- [CR 154] Introduce support for new PDF version 1.7 6.5

JOURNAL SCHEMAS

- [CR 153] Introduce support for new print version 1.3
- [CR 154] Introduce support for new PDF version 1.7 6.5

Satellite SCHEMAS

- No changes

4 March 2014

CONTRAST-IN [2015.3]

BOOK SCHEMAS

- No changes

JOURNAL SCHEMAS

- [CR 147] Add new DOI pattern to support Heliyon

Satellite SCHEMAS

- No changes


10 December 2014

CONTRAST-IN [2015.1]

BOOK SCHEMAS

- [CR 140] Introduce support for new DTD 5.4.0 
- [CR 142] Introduce support for new PITs 
- [CR 143] Remove obsolete version number pattern
- [CR 146] Add S200 schemas

JOURNAL SCHEMAS

- [CR 142] Introduce support for new PITs
- [CR 140] Introduce support for new DTD 5.4.0 
- [CR 144] Introduce support for S280 stage in Journal workflow
- [CR 143] Remove obsolete version number pattern

Satellite SCHEMAS

- [CR 145] Modify collection PII pattern
- [CR 135] Remove unused PII pattern declarations

30 June 2014

CONTRAST-IN [2014.6]

BOOK SCHEMAS

- No changes

JOURNAL SCHEMAS

- No changes

Satellite SCHEMAS

- No changes


09 May 2014

CONTRAST-IN [2014.5]

BOOK SCHEMA

- [CR 134]: Introduce support for doi with bs pattern

JOURNAL SCHEMAS

- [CR 134]: Introduce support for doi with bs pattern


19 August 2013

CONTRAST-IN [2013.3]

BOOK SCHEMA

- [CR 127 ]: Remove older PDF versions from the schemas

JOURNAL SCHEMAS

- [CR 127 ]: Remove older PDF versions from the schemas
- [CR 133]: Page break support

SATELLITE SCHEMA

- No changes


18 October 2012

CONTRAST-IN [2013.1]

BOOK SCHEMA

- [CR 129 ]: Support item-based resupply in C-OUT book schemas
- [CR 128 ]: Add support to new book DTD 531.
- [CR 126 ]: Add support for delivery of book chapters
- [CR 130]: Suppoer web PDF spec 1.7 6.4

JOURNAL SCHEMAS

- [CR 130]: Suppoer web PDF spec 1.7 6.4

SATELLITE SCHEMA

- No changes


CONTRAST 2012.3
No CONTRAST release happened


20 January 2012 GRa

CONTRAST-IN [2012.1]

BOOK SCHEMA
- [CR 113]: Two new values "COMPLETE-PF" and "COMPLETE-CE", added to web-pdf-purposes list in o300.xsd and book-item-project.xsd to support print fidelity. 
- [CR 110]: New print schema v1.2 replaces v1.1. Version number is added to f300.xsd

SATELLITE SCHEMA
- [CR 115]: Added A300 project schema.

PRINT SCHEMA
- [CR 116]: An element trim-size is added to print.xsd.
- [CR 117]: An element pass-thru-PDF is added to print.xsd.

[General]: Updated pathname pattern in book-item-project.xsd, journal-item-issue.xsd, a300.xsd and a300-project.xsd

CONTRAST 2011.3
No CONTRAST release happened


18 March 2011 GRa

CONTRAST-IN [2011.2]

JOURNAL SCHEMAS

- web pdf version 1.7 6.1 was removed from the list of possible values for element web-pdf-versions-list and web-pdf-legacy-versions-list

BOOK SCHEMAS

- e300 schema created to deliver epub files
- web pdf version 1.7 6.1 was removed from the list of possible values for element web-pdf-versions-list
- U300 and U300-project schema were removed.


9 December 2010  JMi

CONTRAST-IN [2010.3]

JOURNAL SCHEMAS

- Value 1.7 6.2 was added to the list of possible values for element
  pdf-version.
- Values 1.4 and 1.4 6.0 were removed from the list of possible values for
  element pdf-version. The values can still be used for delivery of legacy
  material.
- The value print 1.1 was added as a possible value for element schema-version
  in the F300 schema.

BOOK SCHEMAS

- Value 1.7 6.2 was added to the list of possible values for element
  pdf-version.
- Values 1.4 and 1.4 6.0 were removed from the list of possible values for
  element pdf-version. The values can still be used for delivery of legacy
  material.
- An F300 schema was added for deliveries of datasets with material for
  printing.
- A U300 and a U300-project schema were added for deliveries of (online) book
  updates.
- The length of element item-id was restricted to 8 characters.

PRINT SCHEMA

- The namespace was changed to contain the new version number as was the fixed
  value of top element print's attribute schema-version.
- Element jid was changed and no longer accepts "bs:" as an allowed prefix.
- Optional element fascicle/fascicle-isbn was added.


22 February 2010 GRa

CONTRAST-IN [2010.2]

Naming convention is changed to match the EW release name

JOURNAL SCHEMAS

- value 1.6 6.1 is removed from the web-pdf-versions-list/web-pdf-legacy-versions-list
- Abolished lower-case "bs:" - Its removed from the JID pattern match [schema: journal-item-issue.xsd]
- Asset type "IMAGE-NONCAP" is removed from the "asset-types-list-item" and retained in "asset-types-list-project"
- Introduced optional web-pdf within files-info at issue level in H300 and H350 (both normal and project schema) stages.

BOOK SCHEMAS

- Value 1.6 6.1 is removed from the web-pdf-versions-list
- Asset type "IMAGE-NONCAP" is removed from the "asset-types-list-item" and retained in "asset-types-list-project"
- New pattern applied for the element edition in o300, Q300, s300 and s350 stages.


7 May 2009  JM

JOURNAL SCHEMAS [1.14]

- Added S5-Project schema
- Changed the pathname patterns

BOOK SCHEMAS [1.12]

- Added DCT to pit-list
- Changed the pathname patterns


11 December 2008  JM

JOURNAL SCHEMAS [1.13]

- Value PARTIAL-RELOAD for element dataset-action was added
- Attribute omitted was added to element journal-item
- The occurrence indicator of element journal-item was changed to
  ``unbounded'' in the P100, Q300(-project), S5, S100(-project) and
  S200(-project) schemas
- The occurrence indicator of element web-pdf on issue level was
  changed to ``unbounded'' in the P100 and Q300(-project) schemas
- Value VIDEO-FLASH was added for element asset/type

BOOK SCHEMAS [1.11]

- Value PARTIAL-RELOAD for element dataset-action was added
- Attribute omitted was added to element book-item
- The MRW 5.0.0 * values were removed as possible DTD versions
- Ten BOOK 5.3.0 * values were added as possible DTD versions
- The new PIT COP (copyright) was added to pits-list
- Value VIDEO-FLASH was added for element asset/type


3 September 2008  JM

JOURNAL SCHEMAS [1.12]
- Added support for JA DTD 5.1.0, including the addition of three new
  PITs
- ISBN-10s are now only allowed in projects
- Longer pathnames are now allowed
- Corrected pattern in doi-patterns-current-hub

BOOK SCHEMAS [1.10]
- Added support for Book-Metadata DTD 5.0.1
- ISBN-10s are now only allowed in projects
- Longer pathnames are now allowed
- Corrected pattern in doi-patterns-current-hub
- Removed CHANGES ml from O300 schema


3 April 2008  RS

JOURNAL SCHEMAS [1.11]
- Support for Web PDF 6.0 (new pdf-version "1.4 6.0")
- Added new asset types IMAGE-MMC, -DOWNSAMPLED, -THUMBNAIL
- Decommissioned JA DTD 5.0.1 except in project schemas
- Allowed value PROJECT for production-process in s5, s100, s200
- Added new project schemas s100-project and s200-project
- Removed s300-h100 schema
- Added new PDF purpose EDITED-PROOF in s100 and s100-project
- Added element proof-uri to production-details

BOOK SCHEMAS [1.9]
- Support for Web PDF 6.0 (new pdf-version "1.4 6.0")
- Added new asset types IMAGE-MMC, -DOWNSAMPLED, -THUMBNAIL


7 December 2007  JM [release of journal-1.10] tag release-1-10

JOURNAL SCHEMAS
- Support for Book PIIs and for Collection PIIs was added
- Stage-based version numbers were introduced
- JIDs starting with BS: was made possible
- Head-only deliveries were made possible

BOOK SCHEMAS
- Support for Collection PIIs was added
- Stage-based version numbers were introduced
- Element item-id was made optional


2 August 2007  JM [release of book-1.7] tag release-1-7

BOOK SCHEMAS
- Support for deliveries with pagebreak files (on issue and item
  level) was added: PAGEBREAK was added to ml-purposes-list,
  PAGEBREAK 5.0.0 was added to ml-versions-list-item
- Changed the ml occurrence to 1..2 in the O300 schema


2 August 2007  JM [release of journal-1.9] tag release-1-9

JOURNAL SCHEMAS
- Support for delivery of RadCon auxiliary files with the three
  project schemas was added: AUXILIARY was added to ml-purposes-list,
  INFOPATH was added to ml-versions-list, ml-purposes-list-journal-item
  was added
- The embargo element was removed from the P100 and Q300 schemas


2 February 2007  JM [release of book-1.6.1] tag release-1-6-1

BOOK SCHEMAS
- Added Book 5.2.1 manifestations.


25 January 2007  JM [release of journal-1.8] tag release-1-8

JOURNAL SCHEMAS
- Reintroduced pattern on embargo dates.
- Added JA 5.0.2 manifestations.
- Added tombstone PITs.
- Added optional project-id to dataset-properties in S5, S100 and S200
  schemas.
- Added JA 5.0.2 manifestations to ml-versions-list in
  s300-h300-project and s350-h350-project schemas.


25 January 2007  JM [release of book-1.6] tag release-1-6

BOOK SCHEMAS
- A new schema, O300, was added for deliveries to online book stores.
- Stage O300 and production process OLBS were added.
- Support for new Book-metadata DTD was added.
- Support for MRW DTD 5 was added.
  Three new (MRW) PITs were added: MRW, EDB and MIS.


29 September 2006  JM [release of journal-1.7] tag release-1-7

JOURNAL SCHEMAS
- In S300-H300(-project) schemas delivery of main-abridged PDF files
  is now possible.
- In Q300(-project) schemas delivery without issue PDF files is now
  possible.
- Element embargo was changed slightly and element embargo-until-date
  and simple type embargo-stages-list were added. Element
  embargo-until-date was added to the S5, S100 and S200 schemas.


12 June 2006  JM [release of journal-1.6] tag release-1-6

JOURNAL SCHEMAS
- Removed PDF version 1.3.
- In F300 schemas spin-off issues are now possible.


12 June 2006  JM [release of book-1.5] tag release-1-5

BOOK SCHEMAS
- Removed PDF version 1.3.


31 January 2006  JM [release of book-1.4.1] tag release-1-4-1

BOOK SCHEMAS
- Element project-id and production process PROJECT were added
  to the Q300 schema.


21 December 2006  JM [release of book-1.4.1] tag release-1-4-1

BOOK SCHEMAS
- Various lists of patterns and lists of values were introduced. Some
  elements are no longer declared in the father schema.
- To support deliveries of material for special projects three
  so-called project schemas were introduced. Much of the schema
  validation is removed from these project schemas and is performed
  elsewhere. Additionally element project-id was introduced and
  production process CONVERSION was changed to PROJECT.


27 January 2006  JM [release of journal-1.5.2] tag release-1-5-2

JOURNAL SCHEMAS
- Head-only project deliveries were made possible.


23 January 2006  JM [release of journal-1.5.1]

JOURNAL SCHEMAS
- Full-text S350 deliveries was made possible.
- DTD 4.5 S300 and S350 project deliveries were made possible.


21 December 2005  JM [release of journal-1.5]

JOURNAL SCHEMAS
- Various lists of patterns and lists of values were introduced. Some
  elements are no longer declared in the mother schema.
- Support for embargoes was implemented.
- To support deliveries of material for special projects three
  so-called project schemas were introduced. They replace the Consult
  and the Retro schemas. Much of the schema validation is removed from
  these project schemas and is performed elsewhere. Additionally
  element project-id was introduced and production process CONVERSION
  was changed to PROJECT.


18 October 2005  JM [release of book-1.3.2] tag release-1-3-2

BOOK SCHEMAS
- Changed pathname to enforce 8+3 filenames.
- In S350-H350 schema, added optional element web-pdf to
  book-project/files-info.
- In S350-H350 schema, added mandatory element raw-text to
  book-item/files-info.


18 October 2005  JM [release of journal-1.4.1] tag release-1-4-1

JOURNAL SCHEMAS
- Redefined the simple types 'pii-pattern' and 'doi-pattern' in
  S350-H350-Retro schema. The SSDI pattern now accepts all years.
  And of course the same change was applied to the mother schema.


27 September 2005  JM [release of print-1.0]

Added v1.0 of the Print schema


31 August 2005  RS/JM [release of journal-1.4]

JOURNAL SCHEMAS
- Modified pattern for version numbers to include versions up to 6.n.
- Support for ISBN-13 implemented
- Added new PDF version, 1.4
- Changed content of vol-first and iss-first to nonnegative integers
- Added new stage Q300 to 'stages-list'
- Added new Q300 schema
- In F300 schema, changed schema identifier to print-1.0
- In P100 schema, made journal-issue/files-info/ml optional (for
  spinoff 'F' issues only)
- Changed pathname to enforce 8+3 filenames
- Added extra PII and DOI pattern in the Retro schema.


18 August 2005  JM [release of journal-1.3.3] tag release-1-3-3

JOURNAL SCHEMAS
- Redefined the simple types 'pii-pattern' and 'doi-pattern'
  in mother schema and all other schemas.


11 July 2005  JM  [release of book-1.3.1] tag release-1-3-1

BOOK SCHEMAS
- Modified pattern for version numbers to include versions up to 6.n.
- Added new PDF version, 1.4


27 June 2005  JM  [release of journal-1.3.2] tag release-1-3-2

JOURNAL SCHEMAS
- In the mother schema defined the simple types 'pii-pattern' and
  'doi-pattern'.
- Added a new schema s350-h350-retro.xsd, based on the s350-h350
  schema with redefined simple types 'pii-pattern' and 'doi-pattern'.
- Changed all version numbers to 1.3.2.


23 June 2005  JM  [release of book-1.3] tag release-1-3

BOOK SCHEMAS
In the father schema:
- Removed dataset-properties
- Changed patterns used in pre-isbn and isbn to accomodate ISBN-13
- Added pattern to pii to accomodate ISBN-13
- Added pattern to doi to accomodate ISBN-13
- Changed the pattern used in version-number to allow 0.x
- Removed values JI 5.0.0 and MRW 5.0.0 MRW from
  ml-version-list-project and added value BOOK 5.2.0 BOOK
- Removed values JA 5.0.0 * and MRW 5.0.0 * from ml-versions-list-item
  and added 8 BOOK 5.2.0 * values
- Added values BK and SCP to pit-list
- Added values Q300, S350 and H350 to stages-list
- Added value IMAGE-COVER to asset-types-list
- Added value COMPLETE to web-pdf-purposes-list
- Changed value WRAPPED to WRAPPED-OPTIMIZED in web-pdf-properties-list

In the S300-H300 schema:
- Used a localized version of dataset-properties
- Added optional web-pdf to book-project/files-info

Added a S350-H350 schema
Added a Q300 schema


1 March 2005  JM  [release of journal-1.3.1] tag release-1-3-1

Added version numbers (incl. patch level) to comments.


23 February 2005 SP

- In the P100 schema removed the local declarations of
  journal-issue-properties, volume-issue-number and suppl again.
- In the mother schema defined the simple type 'suppl-type'.
- In the P100, F300, S300-H100, S300-H300, S300-H300-consult and
  S350-H350 schemas, redefined the type 'suppl-type'.


23 February 2005 SP

In the P100 schema changed the content model of volume-issue-number
to:
( vol-first, ( ( vol-last | ( iss-first, iss-last? ) )?, suppl )? )
This content model turns out to be incorrect.


25 January 2005  JM  [release of journal-1.3] tag release-1-3

JOURNAL SCHEMAS
- Added value MAIN-ABRIDGED to web-pdf-purposes-list. Changed number
  of web-pdf's in S100 schema to 5 and in S200 schema to 4. Changed
  number of web-pdf's in P100 schema to 4 and added possible
  purposes GRAPHICAL-ABSTRACT, STEREOCHEMISTRY-ABSTRACT and
  MAIN-ABRIDGED.
- Replaced parent-item by batch and added journal-item-types-list
  (values: stand-alone, batch-placeholder, with-add-ons).
- Replaced journal-item/@parent by journal-item/@type with values
  in journal-item-types-list.
- Declared journal-issue-properties, volume-issue-number and suppl
  locally in P100 schema and changed the pattern for suppl to
  (F[1-9]?)|((C|([IS]([A-Z]|([1-9][0-9]?))?)|(P[A-Z1-9]))(F[1-9]?)?)
- Introduced schema S300-H300-Consult applicable to specific
  third-party journals for Consult with optional PDF files. Equal to
  the S300-H300 schema except for the fact that web-pdf is optional.


17 December 2004  JM

JOURNAL SCHEMAS
- Patched journal-item-issue.xsd (now v1.2.1) in view of new DOI prefix


22 October 2004 JM [release of journal-1.2]

JOURNAL SCHEMAS
- Changed jid pattern to accept JIDs starting with bs:, removed length
  restrictions
- Changed suppl pattern to accept supplements numbered 10 or higher
- Changed S5, S100, S200 and P100 schema's to support subitems
  (512 journal-items in S5, S100 and S200; 512 web PDFs in P100;
  optional production-details in S100 and S200)

4 June 2004 JM [release of journal-1.1.2]

JOURNAL SCHEMAS
- Made page-fraction-trail optional and contain only positive values.


17 March 2004 RS

JOURNAL SCHEMAS
- Patched journal-issue-item.xsd in view of bug in suppl pattern.


8 March 2004 RS [release of journal-1.1]

JOURNAL SCHEMAS
- Journal schemas will be used for book series, too, this is reflected
  in wording of various annotations
- Replaced ml-version JI 5.0.0 by SI 5.1.0
- Replaced WRAPPED by WRAPPED OPTIMIZED
- Added optional isbn to journal-issue-properties
- Added new optional element pdf-pages-web to production-details
- Removed list of values for supplier-production-type
- Added new schema for stage S5


10 February 2004 JM [release of book-1.2]

BOOK SCHEMAS
- Added element collection-item-id (containing issn and/or isbn as
  well as new elements item-id and/or collection-id) to model of
  element book-item-unique-ids
- Replaced ml-versions-list by ml-versions-list-item and
  ml-versions-list-project; the FLA 4.3.1, the MRW 1.2.0 and the BS
  5.0.0 versions were removed; the EHS-BOOKS 5.1.1 versions were added


5 December 2003 RS

READY SCHEMA
- The comment section at the top contained info about another
  schema. It also contained a 'draft' notice.
- Annotation of top element changed from default.


12 November 2003 RS [release of book-1.1]

BOOK SCHEMAS
- Replaced PIT list by exact list of EHS Books DTD
- Changed allowed DTD version to the new version 5.1.0


31 October 2003 RS [release of journal-1.0]

ALL JOURNAL SCHEMAS
- Removed draft notice, all versions now 1.0
- Removed book DTD versions from dtd-versions-list
- Removed FLA 4.3.1 from dtd-versions-list
- Supplier production types now equal to list of PTSIII

F300 SCHEMA
- Added <schema-version> to <ml> with fixed value FAT 1.0


28 October 2003 RS [release of book-1.0]

BOOK SCHEMAS ONLY
- Version now 1.0, final & complete
- Added new element <branch> within <book-item-properties>
  with values in branches-list
- Added new simple type branches-list with values
  FRONT, BODY, REAR


22 October 2003 JM [release of journal-1.0 and book-1.0 v1.0r4]

- Changed version from 1.0r3 to 1.0r4 throughout
- Changed version-number pattern for journals and books
- Corrected pathname pattern for books


15/10/2003 RS [release of v1.0r3]

- Changed version from 1.0r2 to 1.0r3 throughout
- Corrected friendly DOI pattern for journals
- Limited DOI pattern for books
- Added hub PII support
- Added BS 5.0.0 as allowable XML format for books
- Added BIBLIOGRAPHY doctypes for books


05/08/2003 RS

JOURNAL F300
- Changed version from 1.0r1 to 1.0r2
- <dataset-action> now uses the dataset-actions-list.


31/07/2003 JM

READY SCHEMA
- Corrected bug in filename pattern


30/07/2003 RS [release of v1.0r2]

ALL SCHEMAS
- Added value RELOAD to allowed values of <dataset-action>. This is
  used for resupplies, and it can be used to determine what kind of
  PTSIII task to close.
- Changed STEREO-CHEMISTRY to STEREOCHEMISTRY-ABSTRACT in the Web PDF
  purposes list.
- <jid-aid> is now mandatory in <journal-item-properties>
- <item-parent> renamed to <parent-item>, its attribute is removed,
  it can only refer to another item.
- Added new value CONVERSION to production-processes-list. This is
  used for conversion projects. However, a separate schema for
  conversion routes must be defined that uses this value.
- Removed date-range from schemas; it is not used.

JOURNAL S100
- Changed version from 1.0r1 to 1.0r2.
- <dataset-action> now uses the dataset-actions-list.
- <journal-item> now has attribute 'parent', type xs:boolean, default
  false, indicating that the item has subitems (this attribute was
  inadvertently lost after v0.3).

JOURNAL S200
- Changed version from 1.0r1 to 1.0r2.
- <dataset-action> now uses the dataset-actions-list.
- <journal-item> now has attribute 'parent', type xs:boolean, default
  false, indicating that the item has subitems (this attribute was
  inadvertently lost after v0.3).

JOURNAL P100
- Changed version from 1.0r1 to 1.0r2.
- <dataset-action> now uses the dataset-actions-list.
- Number of Web PDFs allowed for a journal issue increased to 64.
- <journal-item> now has attribute 'parent', type xs:boolean, default
  false, indicating that the item has subitems (this attribute was
  inadvertently lost after v0.3).
- <parent-item> is optional.

JOURNAL S300-H100
- Added to the list of CONTRAST schemas.

JOURNAL S300-H300
- Changed version from 1.0r1 to 1.0r2.
- <dataset-action> now uses the dataset-actions-list.
- Changed annotation text for <files-info> within <journal-issue>.
- <journal-item> now has attribute 'parent', type xs:boolean, default
  false, indicating that the item has subitems (this attribute was
  inadvertently lost after v0.3).
- <parent-item> is optional.

JOURNAL S350-H350
- Changed version from 1.0r1 to 1.0r2.
- <dataset-action> now uses the dataset-actions-list.
- Changed annotation text for <files-info> within <journal-issue>.
- <journal-item> now has attribute 'parent', type xs:boolean, default
  false, indicating that the item has subitems (this attribute was
  inadvertently lost after v0.3).
- <parent-item> is optional.

Remark. The journal items must follow the journal issue, which
establishes an implicit link. There can be more than 1 issue in a
dataset; this is because the sequence above journal-issue and -item is
repeatable.

BOOK S300-H300
- Changed version from 1.0r1 to 1.0r2.
- Renamed <title> to <working-title>, making it clear that this is the
  name by which the book goes but it is not the authorative title,
  which can be found in the book project hub.
- Removed <subtitle>.
- Removed <item-parent>. Only one book project is delivered at the
  time, and subitems are not (currently) known for books.

TO DO
-----

- Remove FLA 4.3.1 as allowed manifestation; current thinking is that
  SGML will not go into the EWII. However, removing it makes testing
  difficult. Add 4.5.2 as manifestation.
- Add manifestations for serials.
- Add schema for conversion projects.
- Finalize F300 schema.
